from flask import Flask, request, render_template
import database
import json
import re

app = Flask(__name__)

@app.route("/", methods = ["GET"])
def home():
	if request.method == "GET":
		workspaces = database.get_workspaces()
		return render_template("home.html", workspaces = workspaces)

@app.route("/map", methods = ["GET"])
def map():
	if request.method == "GET":
		workspaces = database.get_workspaces()
		data = [{"id": x.id, "name": x.name, "address": x.address, "phoneNumber": x.phone_number, "email": x.email, "website": x.website, "latlong": database.lookup_address(x.address)} for x in workspaces]
		dumped = json.dumps(data)
		return render_template("map.html", json = re.sub(r"(?i)\</script\>", "<\/script>", dumped)) # escape </script>

if __name__ == "__main__":
	app.run(debug = True)
